function exampleGraphics3D()

% 3D plots - image
magicData = magic(3);
figure
subplot(3,1,1)
image(magicData);
colorbar
subplot(3,1,2)
image(magicData/10);
colorbar
subplot(3,1,3)
imagesc(magicData)
colorbar

colormap winter

%%%%%%%%%%%%%%%%%%%%%%%%

% plot3
figure
x = 0 : 0.001 : 2*pi;
y = 0 : 0.001 : 2*pi;
z = sin(pi*x) + sin(pi*y);
plot3(x, y, z)
grid on

load('MEGgrad.mat','gradStructure') % get the MEG gradiometer configuration
figure
plot3(gradStructure.chanpos(:,1), gradStructure.chanpos(:,2), gradStructure.chanpos(:,3),'.')

%%

% Other functions: mesh, surf, etc.

A =    [1 2 3 4; ...
        4 5 6 7; ...
        6 5 4 3; ...
        9 8 7 6];

% surf
figure
surf(A);

% mesh
figure
mesh(A);
clf
mesh(1:5:16, 1:5:16, A)
